Vai al contenuto
najaru

Upgrade IP.Board

Recommended Posts

najaru

L'esecuzione di un upgrade della board IPB, o di uno dei suoi prodotti è una procedura abbastanza semplice che però richiede metodologia e attanzione.

 

PRIMA DI DARE UNA SPIEGAZIONE SULLA PROCEDURA MANUALE VI SEGNALIAMO CHE E' POSSIBILE RICHEDERE UN UPGRADE GRATUITO DIRETTAMENTE AL TEAM IPS, TRAMITE UN SEMPLICE TICKET

 

INOLTRE NELLA VOSTRA AREA CLIENTI ESISTE UNO SCRIPT CHE CONSENTE DI LANCIARE DIRETTAMENTE TUTTA UNA PROCEDURA AUTOMATICA DI UPGRADE ALL'ULTIMA VERSIONE

Ecco i passi da seguire:


1-mettere la board offline
1.b- eventualmente, se avete modificato la skin di default, che ha l'ID 1, exportarla in modo da averne una copia.
Attenzione ricordarsi che la procedura di upgrade andrà a sovrascrivere tutti i file del core di IPB, quindi se avete apportato delle modifiche ai file (non ai template) dovrete rifarle in seguito all'upgrade.

2-eseguire backup ftp di tutti i file e cartelle presenti nella cartella del vostro forum (se doveste un quantità enorme di allegati, potreste al limite evitare il backup della cartella upload, perchè contiene solo gli allegati, ed è una cartella che non verrà toccata dall'upgrade)

3-doppio backup database tramite mysql (se siete due amministratori fatene uno a testa)
4-backup di sicurezza del database da dentro la board, in Support, SQL Back UP, non cambiare nulla e fare Start

5-scaricare l'ultima stable release di ipb (o di uno dei pacchetti in questione)

6-scompattare il pacchetto. All'interno potrete trovare più cartelle, quella che contiene tutti i file da caricare è la cartella upload, infatti se notate all'interno sono presenti gli stessi files e cartelle che avete nella directory del vostro forum sul server

7-caricare tutto quello che contiene la cartella upload, tranne la favicon e il conf_global (che comunque è rinominato e non crea rischi), sovrascrivendo tutti i vecchi files.


8-lanciare lo script di upgrade che è http://www.vostrosit...m/admin/upgrade

9-vi verrà chiesto di inserire i dati di accesso admin


10-verrà eseguito il controllo sui requisiti minimi, fare Next


11-troverete la lista delle applicazioni presenti nella vostra IP.Board, con a fianco up to date se sono aggiornate, mentre le vedrete con una casellina cliccabile se è disponibile un aggiornamento sul server. Cliccare quelle che dovete upgradare, e premere next


12-vi verrà chiesta la chiave di licenza, inseritela. nel caso non funzionasse cancellate il codice e lasciatelo vuoto, la inserirete in seguito tramite l'acp. next


12b-ultima schermata di conferma, non cambiare nulla e fare start


13-date inizio all'upgrade, saranno 14 step. alla fine dei quali vi verrà detto che l'upgrade è completato. Durante la procedura è possibile che vi vengano segnalati dei malfunzionamenti (è comunque raro, di solito succedere negli upgrade da board molto vecchie, normalmente potrete dirgli di correggerle)

14- rimettete la board online, e fate tutti i test del caso.


Nel caso ci fossero degli errori, la prima cosa da fare è disabilitare TUTTI i prodotti e hook non ufficiali. In seguito, se senza quelli tutto funziona normalmente, riattivarne uno ad uno per trovare quello che causa l'errore.



Nel caso qualcuno non avesse confidenza con la procedura e preferisse afidarla a qualcuno con più esperienza, può contattarmi personalmente (è un servizio a pagamento). Non si effettuano backup.

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti
CeceXXTwitt

Ciao Najaru, ho un problema con l'importazione di un file .sql. Praticamente, dopo aver aggiornato il forum da 3.3.0 a 3.3.2 (senza fare l'upgrade, con una nuova installazione pulita di un nuovo database mySql e di nuovi file via FTP, importo il file .sql del vecchio forum ed è tutto Ok. Ma quando accedo al sito mi compare questo errore:


Your settings could not be read by IP.Board. This is a fatal error and IP.Board cannot function while this issue persists.
This issue is generally caused by changing your character set in the ACP to one that does not support data stored in the rest of your settings, or by restoring a database backup/completing a server transfer and importing your database tables using the wrong character set or collation. You should contact [url="http://invisionpower.com/"]IPS Technical Support[/url] for further assistance.

Cosa posso fare? :mellow:

Grazie mille! ^_^

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti
AppleRumorsNEWS

come fai a passare da una versione all'altra senza fare l upgrade?

Ah, poi ho scoperto che è necessario. Ma non trovo il file config.php o qualcosa del genere, quindi mi da errore all'upgrade!

Condividi questo messaggio


Link di questo messaggio
Condividi su altri siti

Crea un account o accedi per lasciare un commento

You need to be a member in order to leave a comment

Crea un account

Iscriviti per un nuovo account nella nostra comunità. È facile!

Registra un nuovo account

Accedi

Sei già registrato? Accedi qui.

Accedi Ora


×